Summary:        Port of libtls from LibreSSL to OpenSSL
Name:           libretls
Version:        3.8.1
Release:    2%{?dist}
License:        ISC AND BSD-3-Clause AND MIT AND LicenseRef-Fedora-Public-Domain
URL:            https://git.causal.agency/libretls/about/
Source0:        https://causal.agency/libretls/%{name}-%{version}.tar.gz
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  openssl-devel >= 1.1.1b
BuildRequires:  man

%description
LibreTLS is a port of libtls from LibreSSL to OpenSSL. OpenBSD's libtls is a
new TLS library, designed to make it easier to write foolproof applications.

%package devel
Summary:        Development files for libretls
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description devel
The libretls-devel package contains libraries and header files for developing
applications that use libtls.

%if 0%{!?_without_static:1}
%package static
Summary:        Static library for libretls
Requires:       %{name}-devel = %{version}-%{release}

%description static
The libretls-static package includes static libraries of libretls. Install it
if you need to link statically with libtls.
%endif

%prep
%setup -q

%build
%configure %{?_without_static:--disable-static}
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/libtls.la

MANWIDTH=72 man ./README.7 | col -bx > README
touch -c -r README.7 README

sed -e 's/README 7/libtls 7/g' -i README.7
touch -c -r README README.7
install -D -p -m 0644 README.7 %{buildroot}%{_mandir}/man7/libtls.7


%files
%doc README
%{_libdir}/libtls.so.28*
%{_mandir}/man7/libtls.7*

%files devel
%{_libdir}/libtls.so
%{_libdir}/pkgconfig/libtls.pc
%{_includedir}/tls.h
%{_mandir}/man3/tls_*.3*

%if 0%{!?_without_static:1}
%files static
%{_libdir}/libtls.a
%endif

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 3.8.1-2
- epol debrand

* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.1-1
- initial build
